uuid: 3a14b8d8-4c87-40a7-bc52-b3128f14b821
langcode: en
status: true
dependencies:
  config:
    - field.storage.node.field_images
    - image.style.blog_350x263_
    - search_api.index.tutorial_index
  module:
    - blazy
    - search_api
    - views_bootstrap
id: tutorial_search_results
label: 'Tutorial Search Results'
module: views
description: ''
tag: ''
base_table: search_api_index_tutorial_index
base_field: search_api_id
display:
  default:
    id: default
    display_title: Master
    display_plugin: default
    position: 0
    display_options:
      title: 'Tutorial Search Results'
      fields:
        field_images:
          id: field_images
          table: search_api_datasource_tutorial_index_entity_node
          field: field_images
          relationship: none
          group_type: group
          admin_label: ''
          entity_type: node
          plugin_id: search_api_field
          label: ''
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: false
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: target_id
          type: blazy
          settings:
            caption:
              title: '0'
              alt: '0'
            current_view_mode: _custom
            style: ''
            background: false
            box_caption: ''
            box_caption_custom: ''
            responsive_image_style: ''
            box_style: ''
            image_style: blog_350x263_
            media_switch: content
            ratio: ''
            thumbnail_style: ''
            grid: null
            grid_medium: null
            grid_small: null
          group_column: ''
          group_columns: {  }
          group_rows: true
          delta_limit: 1
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
          field_rendering: true
          fallback_handler: search_api
          fallback_options:
            link_to_item: false
            use_highlighting: false
            multi_type: separator
            multi_separator: ', '
        title:
          id: title
          table: search_api_index_tutorial_index
          field: title
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_field
          label: ''
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: strong
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: false
          element_wrapper_type: h4
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: value
          type: string
          settings:
            link_to_entity: true
          group_column: value
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
          field_rendering: true
          fallback_handler: search_api
          fallback_options:
            link_to_item: false
            use_highlighting: false
            multi_type: separator
            multi_separator: ', '
      pager:
        type: mini
        options:
          offset: 0
          items_per_page: 10
          total_pages: null
          id: 0
          tags:
            next: ››
            previous: ‹‹
          expose:
            items_per_page: false
            items_per_page_label: 'Items per page'
            items_per_page_options: '5, 10, 25, 50'
            items_per_page_options_all: false
            items_per_page_options_all_label: '- All -'
            offset: false
            offset_label: Offset
      exposed_form:
        type: basic
        options:
          submit_button: Apply
          reset_button: false
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
      access:
        type: none
        options: {  }
      cache:
        type: tag
        options: {  }
      empty: {  }
      sorts: {  }
      arguments: {  }
      filters: {  }
      style:
        type: views_bootstrap_grid
        options:
          grouping: {  }
          row_class: 'mt-2 mb-2'
          default_row_class: true
          col_xs: col-12
          col_sm: col-sm-12
          col_md: col-md-12
          col_lg: col-lg-6
          col_xl: col-xl-6
      row:
        type: fields
      query:
        type: views_query
        options:
          bypass_access: false
          skip_access: false
          preserve_facet_query_args: false
      relationships: {  }
      css_class: ml-3
      header: {  }
      footer: {  }
      display_extenders: {  }
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url.query_args
        - 'user.node_grants:view'
      tags:
        - 'config:field.storage.node.field_images'
        - 'config:search_api.index.tutorial_index'
  page_1:
    id: page_1
    display_title: Page
    display_plugin: page
    position: 1
    display_options:
      display_extenders: {  }
      path: content/tutorial-search/%
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url.query_args
        - 'user.node_grants:view'
      tags:
        - 'config:field.storage.node.field_images'
        - 'config:search_api.index.tutorial_index'
